Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Class ServiceRequestBufferImp

java.lang.Object
org.firebirdsql.gds.impl.ParameterBufferBase
org.firebirdsql.gds.impl.ServiceRequestBufferImp

All Implemented Interfaces:
  `Serializable`, `Iterable<Parameter>`, `ParameterBuffer`, `ServiceRequestBuffer`

public class ServiceRequestBufferImp extends ParameterBufferBase implements ServiceRequestBuffer
Implementation of ServiceRequestBufferImp.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ServiceRequestBufferImp.SrbMetaData`

## Field Summary

### Fields inherited from interface org.firebirdsql.gds.ServiceRequestBuffer

`ACTION_ADD_LICENSE, ACTION_ADD_USER, ACTION_BACKUP, ACTION_DB_STATS, ACTION_DELETE_USER, ACTION_DISPLAY_USER, ACTION_GET_SERVER_LOG, ACTION_MODIFY_USER, ACTION_REMOVE_LICENSE, ACTION_REPAIR, ACTION_RESTORE, ACTION_SET_DB_PROPERTIES, BACKUP_CONVERT, BACKUP_DB_NAME, BACKUP_EXPAND, BACKUP_FACTOR, BACKUP_FILE, BACKUP_IGNORE_CHECKSUMS, BACKUP_IGNORE_LIMBO, BACKUP_LENGTH, BACKUP_METADATA_ONLY, BACKUP_NO_GARBAGE_COLLECT, BACKUP_NON_TRANSPORTABLE, BACKUP_OLD_DESCRIPTIONS, BACKUP_OPTIONS, INFO_CAPABILITIES, INFO_FLAG_END, INFO_GET_CONFIG, INFO_GET_ENV, INFO_GET_ENV_LOCK, INFO_GET_ENV_MSG, INFO_GET_LICENSE, INFO_GET_LICENSE_MASK, INFO_GET_LICENSED_USERS, INFO_GET_OUTPUT_LINE, INFO_GET_OUTPUT_TO_EOF, INFO_GET_USERS, INFO_IMPLEMENTATION, INFO_LIMBO_TRANSACTIONS, INFO_MULTI_TRANSACTION_ID, INFO_RUNNING, INFO_SERVER_VERSION, INFO_SINGLE_TRANSACTION_ID, INFO_SVC_MGR_VERSION, INFO_SVR_DB_INFO, INFO_TIMEOUT, INFO_TRANSACTION_ADVICE, INFO_TRANSACTION_ADVICE_COMMIT, INFO_TRANSACTION_ADVICE_ROLLBACK, INFO_TRANSACTION_ADVICE_UNKNOWN, INFO_TRANSACTION_DB_PATH, INFO_TRANSACTION_HOST_SITE, INFO_TRANSACTION_REMOTE_SITE, INFO_TRANSACTION_STATE, INFO_TRANSACTION_STATE_COMMIT, INFO_TRANSACTION_STATE_LIMBO, INFO_TRANSACTION_STATE_ROLLBACK, INFO_TRANSACTION_STATE_UNKNOWN, INFO_USER_DB_PATH, LICENSE_DESCRIPTION, LICENSE_ID, LICENSE_KEY, PROPS_ACCESS_MODE, PROPS_ACCESS_MODE_READONLY, PROPS_ACCESS_MODE_READWRITE, PROPS_ACTIVATE_SHADOW, PROPS_BUFFERS, PROPS_DB_NAME, PROPS_DB_ONLINE, PROPS_DENY_NEW_ATTACHMENTS, PROPS_DENY_NEW_TRANSACTIONS, PROPS_OPTIONS, PROPS_RESERVE_SPACE, PROPS_RESERVE_USE_ALL_SPACE, PROPS_RESERVE_VERSIONS, PROPS_SET_SQL_DIALECT, PROPS_SHUTDOWN_DB, PROPS_SWEEP_INTERVAL, PROPS_WRITE_MODE, PROPS_WRITE_MODE_ASYNC, PROPS_WRITE_MODE_SYNC, REPAIR_CHECK_DB, REPAIR_COMMIT_TRANSACTIONS, REPAIR_DB_NAME, REPAIR_FULL, REPAIR_IGNORE_CHECKSUM, REPAIR_KILL_SHADOWS, REPAIR_LIST_LIMBO_TRANSACTIONS, REPAIR_MEND_DB, REPAIR_OPTIONS, REPAIR_RECOVER_TWO_PHASE, REPAIR_ROLLBACK_TRANSACTIONS, REPAIR_SWEEP_DB, REPAIR_TRANSACTION_ID, REPAIR_VALIDATE_DB, RESTORE_ACCESS_MODE, RESTORE_ACCESS_MODE_READONLY, RESTORE_ACCESS_MODE_READWRITE, RESTORE_BACKUP_PATH, RESTORE_BUFFERS, RESTORE_CREATE, RESTORE_DB_NAME, RESTORE_DEACTIVATE_IDX, RESTORE_LENGTH, RESTORE_NO_SHADOW, RESTORE_NO_VALIDITY, RESTORE_ONE_AT_A_TIME, RESTORE_OPTIONS, RESTORE_OVERWRITE, RESTORE_PAGE_SIZE, RESTORE_USE_ALL_SPACE, SECURITY_FIRST_NAME, SECURITY_GROUPID, SECURITY_GROUPNAME, SECURITY_LAST_NAME, SECURITY_MIDDLE_NAME, SECURITY_PASSWORD, SECURITY_USER_NAME, SECURITY_USERID, STATS_DATA_PAGES, STATS_DB_LOG, STATS_DB_NAME, STATS_HEADER_PAGES, STATS_INDEX_PAGES, STATS_NOCREATION, STATS_OPTIONS, STATS_RECORD_VERSIONS, STATS_SYSTEM_RELATIONS, STATS_TABLE`

## Constructor Summary

Constructors
Constructor
Description
`ServiceRequestBufferImp(ServiceRequestBufferImp.SrbMetaData srbMetaData, Encoding encoding)`

## Method Summary

### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, findFirst, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

## Constructor Details

### ServiceRequestBufferImp

public ServiceRequestBufferImp(ServiceRequestBufferImp.SrbMetaData srbMetaData, Encoding encoding)